Subject: RE: IPP> Identifying jobs in requests

From: [email-masked] (Robert Herriot)
Date: Thu, 17 Jul 1997 18:33:41 -0700

> From [email-masked] Thu Jul 17 18:17:07 1997
> 
> 1)  Either the Printer is open (non-secure), in which case the server
> should return all the information.
> 
> 2) Or the Printer is limiting access through some security restrictions,
> usually requiring authentication and authorization. In this case, 
> 
> a) the client is either accepted and gets all the information, 
> b) or it does not pass the security check and does not get anything.  
> 
> In consequence, I suggest that there is no half-way house cases where the
> server would return some, but not all of the information and we should
> amend the model document to reflect this.
>
I disagree, a secure printer could reveal some but not all information about
a job.  We have left the degree of information purposely vague so that
a Printer can return as little or as much information as it wants based
on who is asking.

What Paul proposed was that a Printer could not refuse to return a job-uri 
with Get-Jobs, though it could return a special job-uri that was different
from what the job owner might get.

Bob Herriot

---

From: Randy Turner <[email-masked]>
Date: Fri, 18 Jul 1997 01:22:06 -0700

I agree that the 'getjobs' operation should, at a minimum, return the
URI
for any and all jobs. I think this statement pretty much stands on its
own.
The fact that a server may return a secured 'alias' for the actual job
URI
really wouldn't matter to the protocol or the end-user. I do agree that
returning a secured alias would be an interesting way for servers to
secure
access to jobs from certain classes of end-users.

Randy